# LogSystem (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util
Interface LogSystem

All Known Implementing Classes:
  DefaultLogSystem

    public interface LogSystem

Plugin in interface for the logging of Slick

Author:
  kevin

Method Summary
`void` `debug(java.lang.String message)` Log a debug message
`void` `error(java.lang.String message)` Log an error
`void` `error(java.lang.String message, java.lang.Throwable e)` Log an error
`void` `error(java.lang.Throwable e)` Log an error
`void` `info(java.lang.String message)` Log an information message
`void` `warn(java.lang.String message)` Log a warning
`void` `warn(java.lang.String message, java.lang.Throwable e)` Log a warning

Method Detail

### error

    void error(java.lang.String message,
               java.lang.Throwable e)

  Log an error

  Parameters:
    `message` - The message describing the error
    `e` - The exception causing the error

### error

    void error(java.lang.Throwable e)

  Log an error

  Parameters:
    `e` - The exception causing the error

### error

    void error(java.lang.String message)

  Log an error

  Parameters:
    `message` - The message describing the error

### warn

    void warn(java.lang.String message)

  Log a warning

  Parameters:
    `message` - The message describing the warning

### warn

    void warn(java.lang.String message,
              java.lang.Throwable e)

  Log a warning

  Parameters:
    `message` - The message describing the warning
    `e` - The cause of the warning

### info

    void info(java.lang.String message)

  Log an information message

  Parameters:
    `message` - The message describing the infomation

### debug

    void debug(java.lang.String message)

  Log a debug message

  Parameters:
    `message` - The message describing the debug

Copyright © 2006 New Dawn Software. All Rights Reserved.